%define ver 20020813
%define rel 1
%define prefix %{_libdir}/im

Summary: IIIMF
Name: im-sdk
Version: %{ver}
Release: %{rel}
License: Distributable
Source: %{name}-%{version}.tar.bz2
Source1: %{name}-htt.conf
Patch1: %{name}-20011223-DESTDIR.patch
Patch2: %{name}-20011223-strlcpy.patch
URL: http://www.li18nux.org/
Group: User Interface/X
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: Canna-devel
ExcludeArch: ia64 alpha

%description
Internet/Intranet Input Method Framework

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%patch1 -p2 -b .DESTDIR
#%patch2 -p1 -b .strlcpy

%build
cd lib/CSConv
%ifarch ia64 alpha
libtoolize --force
%endif
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
cd -

cd client/xiiimp.so
%ifarch ia64 alpha
libtoolize --force
%endif
CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{prefix}
cd -

cd server
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
cd -

cd lib/CSConv
make
cd -

cd client/xiiimp.so
make
cd -

cd server
make
cd -

%install
cd lib/CSConv
make prefix=${RPM_BUILD_ROOT}%{prefix} install
cd -

cd client/xiiimp.so
make DESTDIR=${RPM_BUILD_ROOT} install
cd iiimp
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/common/
/bin/sh ../libtool --mode=install /usr/bin/install -c xiiimp.la \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/common/xiiimp.la
cd ../../..

cd server
make DESTDIR=${RPM_BUILD_ROOT} install
cd -

ln -sf %{_libdir}/im/share/icu/1.4.0/cnvalias.dat \
	$RPM_BUILD_ROOT%{_libdir}/im/share/icu/1.4.0/icudata_cnvalias.dat

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/im/htt.conf

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%dir %{_libdir}/im
%{prefix}/*
/usr/X11R6/lib/X11/locale/common/*

%changelog
* Thu Aug 15 2002 Yu Shao <yshao@redhat.com>
- new 20020813 CVS, disable patch2

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 20011223-7
- build using gcc-3.2-0.1

* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 20011223-6
- add the owned directory.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Mar 26 2002 Yukihiro Nakai <ynakai@redhat.com>
- Add some fix for ia64,alpha
- Add strlcpy/strlcat patch, #61898

* Sun Dec 30 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release
